---
import { ViewTransitions } from "astro:transitions";
import Navbar from "../components/Navbar.astro";
import Chat from "../components/ChatButton.astro";
interface Props {
	title: string;
}

const { title } = Astro.props;
---

<!doctype html>
<html>
	<head>
		<meta charset="UTF-8" />
		<meta name="description" content="Astro description" />
		<meta name="viewport" content="width=device-width" />
		<link rel="icon" type="image/png" href="/fav.png" />
		<meta name="generator" content={Astro.generator} />
		<title>{title}</title>
		<ViewTransitions />
		<script src="/jquery.min.js" is:inline></script>
	</head>
	<body>
		<Navbar/>
		<Chat/>
		<slot/>
	</body>

	 <style is:global>
      *{
        -webkit-tap-highlight-color: transparent;
      }
     
      ::-webkit-scrollbar {
        width: 6px;
      }

      /* Track */
      ::-webkit-scrollbar-track {
        background: #00000000;
      }

      /* Handle */
      ::-webkit-scrollbar-thumb {
        background: #71717a77;
        border-radius: 5px;
      }

      /* Handle on hover */
      ::-webkit-scrollbar-thumb:hover {
        background: #71717a;
      }
    </style>
</html>
